<?php

/**
 * @copyright	Copyright (C) 2020 by XiroWeb
 * @license		GNU/GPL
 * */

// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Form\FormField;
use Joomla\CMS\Uri\Uri;

class JFormfieldBootstrapnavpreview extends FormField {

	protected $type = 'bootstrapnavpreview';

	protected function getInput() {
        $wa = Factory::getApplication()->getDocument()->getWebAssetManager();
        $wa->registerAndUseScript('mod_xiroweb_bootstrap_nav.preview', 'mod_xiroweb_bootstrap_nav/xiroweb-bootstrap-nav-preview.bundled.js', ['relative' => true, 'version' => 'auto'], ['type' => 'module', 'defer' => true]);
		return '';
	}

	protected function getLabel() {
        
		$data = $this->getLayoutData();
        
		return '<h3>'.$data['label'].'</h3><xiroweb-bootstrap-nav-preview site_uri="'. Uri::root() .'" src_boostrap_css="'.  Uri::root() . 'media/mod_xiroweb_bootstrap_nav/css/boostrap/5.3.2/bootstrap.min.css' . '" layoutnav="'. $this->element['layoutnav'].'"></xiroweb-bootstrap-nav-preview>';
	}
}
